---
title: List live inputs
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Stream](https://developers.cloudflare.com/api/go/resources/stream)

[Live Inputs](https://developers.cloudflare.com/api/go/resources/stream/subresources/live_inputs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List live inputs

client.Stream.LiveInputs.List(ctx, params) (\*[LiveInputListResponse](<https://developers.cloudflare.com/api/go/resources/stream#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/stream/live\_inputs

Lists the live inputs created for an account. To get the credentials needed to stream to a specific live input, request a single live input.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

<details>

<summary>

params LiveInputListParams

</summary>

AccountID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20stream.live_inputs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

IncludeCounts param.Field\[bool]Optional

Query param: Includes the total number of videos associated with the submitted query parameters.

<a href="#(resource)%20stream.live_inputs%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20include_counts">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LiveInputListResponse struct{…}

</summary>

<details>

<summary>

LiveInputs \[]LiveInputListResponseLiveInputOptional

</summary>

Created TimeOptional

The date and time the live input was created.

formatdate-time

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20created">Link to this property</a>

DeleteRecordingAfterDays float64Optional

Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a <code>null</code> value to remove an existing scheduled deletion.

minimum30

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20deleteRecordingAfterDays">Link to this property</a>

Enabled boolOptional

Indicates whether the live input is enabled and can accept streams.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20enabled">Link to this property</a>

Meta unknownOptional

A user modifiable key-value store used to reference other systems of record for managing live inputs.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20meta">Link to this property</a>

Modified TimeOptional

The date and time the live input was last modified.

formatdate-time

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20modified">Link to this property</a>

UID stringOptional

A unique identifier for a live input.

maxLength32

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs%20%3E%20(items)%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20liveInputs">Link to this property</a>

Range int64Optional

The total number of remaining live inputs based on cursor position.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20range">Link to this property</a>

Total int64Optional

The total number of live inputs that match the provided filters.

<a href="#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)%20%3E%20(property)%20total">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.live_inputs%20%3E%20(model)%20LiveInputListResponse%20%3E%20(schema)>)

### List live inputs

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  liveInputs, err := client.Stream.LiveInputs.List(context.TODO(), stream.LiveInputListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", liveInputs.LiveInputs)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "liveInputs": [
      {
        "created": "2014-01-02T02:20:00Z",
        "deleteRecordingAfterDays": 45,
        "enabled": true,
        "meta": {
          "name": "test stream 1"
        },
        "modified": "2014-01-02T02:20:00Z",
        "uid": "66be4bf738797e01e1fca35a7bdecdcd"
      }
    ],
    "range": 1000,
    "total": 35586
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "liveInputs": [
      {
        "created": "2014-01-02T02:20:00Z",
        "deleteRecordingAfterDays": 45,
        "enabled": true,
        "meta": {
          "name": "test stream 1"
        },
        "modified": "2014-01-02T02:20:00Z",
        "uid": "66be4bf738797e01e1fca35a7bdecdcd"
      }
    ],
    "range": 1000,
    "total": 35586
  }
}
```